dbXML API

## com.dbxml.db.enterprise.sync
Class SyncManagerClient

    java.lang.Object
      com.dbxml.db.client.xmlrpc.ConnectionManager
          com.dbxml.db.enterprise.sync.SyncManagerClient

public final class SyncManagerClient
extends ConnectionManager

SyncManagerClient

Field Summary

Fields inherited from class com.dbxml.db.client.xmlrpc.ConnectionManager
`CONNECTION, SECURE, STANDARD`

Constructor Summary
`SyncManagerClient(dbXMLClient dbxmlClient)`

Method Summary
`void` `addCollection(java.lang.String group, java.lang.String collection)`
`void` `addGroup(java.lang.String group)`
`void` `addGroupToContent(java.lang.String path, java.lang.String group)`
`java.lang.String` `getMachineID()`
`Manifest` `listAllChanges(java.util.Date date)`
`java.lang.String[]` `listCollections(java.lang.String group)`
`java.lang.String[]` `listContentGroups(java.lang.String path)`
`Manifest` `listGroupChanges(java.util.Date date, java.lang.String[] groups)`
`java.lang.String[]` `listGroupContents(java.lang.String group)`
`java.lang.String[]` `listGroups()`
`void` `removeCollection(java.lang.String group, java.lang.String collection)`
`void` `removeGroup(java.lang.String group)`
`void` `removeGroupFromContent(java.lang.String path, java.lang.String group)`

Methods inherited from class com.dbxml.db.client.xmlrpc.ConnectionManager
`execute, executeBinary, executeBoolean, executeInt, executeList, executeMap, executeString, getClientPath, getProperties, getProperty, getXmlRpcClient, listProperties, setClientPath, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncManagerClient

    public SyncManagerClient(dbXMLClient dbxmlClient)

Method Detail

### getMachineID

    public java.lang.String getMachineID()
                                  throws dbXMLException

  Throws:
    `dbXMLException`

### addGroup

    public void addGroup(java.lang.String group)
                  throws dbXMLException

  Throws:
    `dbXMLException`

### removeGroup

    public void removeGroup(java.lang.String group)
                     throws dbXMLException

  Throws:
    `dbXMLException`

### listGroups

    public java.lang.String[] listGroups()
                                  throws dbXMLException

  Throws:
    `dbXMLException`

### addCollection

    public void addCollection(java.lang.String group,
                              java.lang.String collection)
                       throws dbXMLException

  Throws:
    `dbXMLException`

### removeCollection

    public void removeCollection(java.lang.String group,
                                 java.lang.String collection)
                          throws dbXMLException

  Throws:
    `dbXMLException`

### listCollections

    public java.lang.String[] listCollections(java.lang.String group)
                                       throws dbXMLException

  Throws:
    `dbXMLException`

### addGroupToContent

    public void addGroupToContent(java.lang.String path,
                                  java.lang.String group)
                           throws dbXMLException

  Throws:
    `dbXMLException`

### removeGroupFromContent

    public void removeGroupFromContent(java.lang.String path,
                                       java.lang.String group)
                                throws dbXMLException

  Throws:
    `dbXMLException`

### listContentGroups

    public java.lang.String[] listContentGroups(java.lang.String path)
                                         throws dbXMLException

  Throws:
    `dbXMLException`

### listGroupContents

    public java.lang.String[] listGroupContents(java.lang.String group)
                                         throws dbXMLException

  Throws:
    `dbXMLException`

### listGroupChanges

    public Manifest listGroupChanges(java.util.Date date,
                                     java.lang.String[] groups)
                              throws dbXMLException

  Throws:
    `dbXMLException`

### listAllChanges

    public Manifest listAllChanges(java.util.Date date)
                            throws dbXMLException

  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group